/*
 * sphObjectSource.h
 *
 *  Created on: Jul 4, 2016
 *  Author: Chiranjib Sur <csur@linuxmail.org>
 */

#ifndef SPHOBJECTSOURCE_H_
#define SPHOBJECTSOURCE_H_

#include <vtkSmartPointer.h>
#include <vtkPolyDataAlgorithm.h>
#include "vtksphObject.h"

class vtksphObject;
class vtksphObjectSource : public vtkPolyDataAlgorithm
{
public:
	vtkTypeMacro(vtksphObjectSource,vtkPolyDataAlgorithm);

	static vtksphObjectSource *New();

	vtksphObjectSource();
	virtual ~vtksphObjectSource();

	virtual void SetThisObject( vtksphObject*);
	vtkGetObjectMacro(ThisObject,vtksphObject);

protected:
	vtksphObject *ThisObject;

private:
	vtksphObjectSource(const vtksphObjectSource&);  // Not implemented.
	void operator=(const vtksphObjectSource&);  // Not implemented.
};

#endif /* SPHOBJECTSOURCE_H_ */
